## aiodogstatsd 0.16.0

=== Makefile ===
POETRY ?= $(HOME)/.local/bin/poetry

.PHONY: install-poetry
install-poetry:
	@curl -sSL https://install.python-poetry.org | python -

.PHONY: install-deps
install-deps:
	@$(POETRY) install -vv --extras "aiohttp starlette"

.PHONY: install
install: install-poetry install-deps

.PHONY: lint-black
lint-black:
	@echo "\033[92m< linting using black...\033[0m"
	@$(POETRY) run black --check --diff .
	@echo "\033[92m> done\033[0m"
	@echo

.PHONY: lint-flake8
lint-flake8:
	@echo "\033[92m< linting using flake8...\033[0m"
	@$(POETRY) run flake8 aiodogstatsd examples tests
	@echo "\033[92m> done\033[0m"
	@echo

.PHONY: lint-isort
lint-isort:
	@echo "\033[92m< linting using isort...\033[0m"
	@$(POETRY) run isort --check-only --diff .
	@echo "\033[92m> done\033[0m"
	@echo

.PHONY: lint-mypy
lint-mypy:
	@echo "\033[92m< linting using mypy...\033[0m"
	@$(POETRY) run mypy --ignore-missing-imports --follow-imports=silent aiodogstatsd examples tests
	@echo "\033[92m> done\033[0m"
	@echo

.PHONY: lint
lint: lint-black lint-flake8 lint-isort lint-mypy

.PHONY: test
test:
	@$(POETRY) run pytest --cov-report=term --cov-report=html --cov-report=xml --cov=aiodogstatsd -vv $(opts)

.PHONY: publish
publish:
	@$(POETRY) publish --username=$(PYPI_USERNAME) --password=$(PYPI_PASSWORD) --build

.PHONY: docs-serve
docs-serve:
	@$(POETRY) run mkdocs serve

.PHONY: docs-build
docs-build:
	@$(POETRY) run mkdocs build

## aiodogstatsd 0.14.0

=== debian/changelog ===
aiodogstatsd (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.
  * debian/control: Bump Standards-Version to 4.5.1.
  * Add Debian Python Team into uploaders list since the current
    Vcs repo is hosted under the team.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 14:09:25 -0500

aiodogstatsd (0.14.0-1) unstable; urgency=low

  * Initial release (Closes: #975243).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 19 Nov 2020 14:31:39 +0000

=== debian/control ===
Source: aiodogstatsd
Section: python
Priority: optional
Maintainer: Emmanuel Arias <eamanu@yaerobi.com>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-aiohttp,
 python3-all,
 python3-setuptools,
 python3-starlette,
Standards-Version: 4.5.1
Homepage: https://github.com/Gr1N/aiodogstatsd
Vcs-Git: https://salsa.debian.org/python-team/packages/aiodogstatsd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiodogstatsd

Package: python3-aiodogstatsd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio-based client for sending metrics to StatsD with support of DogStatsD
 Library fully tested with statsd_exporter and supports gauge, counter,
 histogram, distribution and timing types.
 .
 aiodogstatsd client by default uses 9125 port. It's a default port for
 statsd_exporter and it's different from 8125 which is used by default in 
 StatsD and DataDog. Initialize the client with the proper port you need if 
 it's different from 9125.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiodogstatsd
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiodogstatsd/aiodogstatsd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiodogstatsd 0.16.0

=== debian/changelog ===
aiodogstatsd (0.16.0-4) unstable; urgency=medium

  * d/python-aiodogstatsd-doc.links: fix broken symlink. Now links
    python-aiodogstatsd-doc/html/fonts/FontAwesome.otf to
    /usr/share/fonts/opentype/font-awesome/FontAwesome.otf (Closes: #1040600).

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 11 Oct 2023 14:42:03 -0300

aiodogstatsd (0.16.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Emmanuel Arias ]
  * d/copyright: Update Copyright year for debian/* files.
    - Update my contact information.
  * d/control: Update my contact information.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 20 Sep 2023 11:08:42 -0300

aiodogstatsd (0.16.0-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Sun, 20 Mar 2022 01:49:30 +0530

aiodogstatsd (0.16.0-1) unstable; urgency=medium

  * New upstream version.
  * python-aiodogstatsd-doc: New binary package for documentation.
  * d/patches: Add patch to remove https links to svg in documentation.
  * d/python-aiodogstatsd-doc.examples: Install examples in doc package.
  * d/upstream/metadata: add more information on metadata file.
  * d/copyright:
    + Update debian/* files copyright year.
    + d/copyright: Add year of the Copyright for upstream.
  * d/watch:
    + start watching to Github repository.
    + change regex to remove post, alpha, beta and release
      candidate from matched versions.
  * d/control:
    + Add Rules-Requires-Root: no in source stanza.
    + Bump Standards-Version to 4.6.0. No changes needed.
    + Build with pybuild's pyproject plugin. Add
      pybuild-plugin-pyproject and poetry-core as Build Depends.
    + Add Suggests in binary package to install the documentation
      package.
    + Set me as Uploaders and DPT as Maintainer.
    + Add <!nocheck> profile to packages used in tests.
    + Remove un-needed "Testsuite: autopkgtest-pkg-python" from source stanza.
    + Add libjs-highlight.js package as Depends of the documentation
      package.
    + Reduce the Description length for the documentation package.
  * d/rules:
    + Stop ignoring sanic tests. It's not longer supported by the
      Upstream.
    + Replace https scripts links to local files links provided by
      libjs-highlight.js to don't use internet connection on documentation.
  * d/tests: enabled autopkgtest.
    + d/t/test: Run test with all supported Python version, use -s instead
       of -r in py3versions.
    + d/t/control: Add python3-all, python3-pytest, python3-pytest-mock
      and python3-yarl as dependencies.
    + Run testsuite on autopkgtest.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 18 Mar 2022 22:54:13 +0530

=== debian/control ===
Source: aiodogstatsd
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-font-awesome,
               mkdocs <!nodoc>,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-starlette,
               python3-yarl <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/Gr1N/aiodogstatsd
Vcs-Git: https://salsa.debian.org/python-team/packages/aiodogstatsd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiodogstatsd
Rules-Requires-Root: no

Package: python3-aiodogstatsd
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-aiodogstatsd-doc,
Description: asyncio-based client for sending metrics to StatsD with support of DogStatsD
 Library fully tested with statsd_exporter and supports gauge, counter,
 histogram, distribution and timing types.
 .
 aiodogstatsd client by default uses 9125 port. It's a default port for
 statsd_exporter and it's different from 8125 which is used by default in
 StatsD and DataDog. Initialize the client with the proper port you need if
 it's different from 9125.

Package: python-aiodogstatsd-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: fonts-font-awesome,
         libjs-highlight.js,
         libjs-jquery,
         ${misc:Depends},
         ${mkdocs:Depends},
Description: asyncio-based client for sending metrics to StatsD (docs)
 Library fully tested with statsd_exporter and supports gauge, counter,
 histogram, distribution and timing types.
 .
 aiodogstatsd client by default uses 9125 port. It's a default port for
 statsd_exporter and it's different from 8125 which is used by default in
 StatsD and DataDog. Initialize the client with the proper port you need if
 it's different from 9125.
 .
 This package contain the documentation.

=== debian/tests/control ===
Tests: test, testsuite
Depends: python3-all,
         @,
         python3-pytest,
         python3-pytest-mock,
         python3-yarl,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiodogstatsd_$1\.tar\.gz/ \
  https://github.com/Gr1N/aiodogstatsd/tags .*/v?(\d[\d\.]*)\.tar\.gz
